Bug 1410117 - upgrade cli command for large installations
Summary: upgrade cli command for large installations
Keywords:
Status: NEW
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: owncloud
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 14:10 UTC by Brian J. Murrell
Modified: 2019-02-23 07:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-20 09:14:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Brian J. Murrell 2017-01-04 14:10:43 UTC
Description of problem:
Similar to bug 1321417 except that in 9.1.3, the splash page for owncloud recognises when your database is large and requires you to use the CLI upgrade.  This is ultimately a good thing.

However, they point one to the OC documentation on how to do CLI upgrades at https://doc.owncloud.org/server/9.1/admin_manual/configuration_server/occ_command.html#command-line-upgrade which is once again not accurate for EPEL installed OC since it describes using an "occ" command with no path component.

Version-Release number of selected component (if applicable):
owncloud-9.1.3-1.el7.noarch

Actual results:
One has to figure out how to apply the generic OC documentation to the EPEL installation where the occ command is not in the $PATH.

Expected results:
One should not have to reverse engineer the packaging differences to figure out what the actual command to upgrade is.  It should be on the splash page.

Comment 1 James Hogarth 2017-02-04 00:14:05 UTC
I searched for the relevant text whilst preparing 9.1.4 just now so I could include this but am having difficulty locating it.

Would you happen to have the actual message as that would make finding the right place to patch much easier?

Comment 2 Brian J. Murrell 2017-02-04 17:57:42 UTC
I'm afraid I don't now that I have upgraded to the latest.

I can of course update this ticket with the exact text the next time I need to upgrade.

Comment 3 James Hogarth 2017-02-04 17:58:55 UTC
Appreciate it

9.1.4 is built and pending being pushed to testing now.

Comment 4 Brian J. Murrell 2017-02-22 13:15:25 UTC
Upgraded to 9.1.4-1.el7.  The splash-page dialog now says:

             Update needed

Please use the command line updater because
         you have a big instance.

      For help, see the documentation.

where "documentation" is a link to https://doc.owncloud.org/server/9.1/go.php?to=admin-cli-upgrade.

Comment 5 Brian J. Murrell 2017-02-22 13:48:00 UTC
It begs the question though, why not run the occ upgrade in the rpm %postinstall with success/failure and output mailed to root?

Comment 6 James Hogarth 2017-02-22 14:43:45 UTC
Cheers, I'll look to patch that in my next build.

And the reason I don't do that is because it's not a safe operation.

The disabling of apps etc needs to have active admin interaction.

Also if it fails then it's not great to have the the %post script complain.

Finally if it runs a long time (due to a large install) it'll hold up the yum transaction until it completes.

For all those reasons I don't deem it safe to do so automatically and just let it notify the admin it needs to be done.

Comment 7 Fedora Update System 2017-03-01 02:00:27 UTC
owncloud-9.1.4-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-de7e0fcf36

Comment 8 Fedora Update System 2017-03-01 02:00:42 UTC
owncloud-9.1.4-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0249b24b63

Comment 9 Fedora Update System 2017-03-01 02:00:51 UTC
owncloud-9.1.4-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6aba9d37e1

Comment 10 Fedora Update System 2017-03-02 02:21:38 UTC
owncloud-9.1.4-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0249b24b63

Comment 11 Fedora Update System 2017-03-02 02:52:13 UTC
owncloud-9.1.4-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-de7e0fcf36

Comment 12 Fedora Update System 2017-03-02 04:16:37 UTC
owncloud-9.1.4-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6aba9d37e1

Comment 13 Fedora Update System 2017-03-06 11:17:10 UTC
owncloud-9.1.4-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2325c9cc8

Comment 14 Fedora Update System 2017-03-06 11:17:24 UTC
owncloud-9.1.4-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d50f7e9d

Comment 15 Fedora Update System 2017-03-07 01:50:24 UTC
owncloud-9.1.4-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2325c9cc8

Comment 16 Fedora Update System 2017-03-07 17:53:05 UTC
owncloud-9.1.4-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d50f7e9d

Comment 17 Fedora Update System 2017-03-15 17:52:15 UTC
owncloud-9.1.4-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-03-15 18:22:12 UTC
owncloud-9.1.4-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-03-17 14:51:32 UTC
owncloud-9.1.4-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Brian J. Murrell 2017-06-12 12:16:22 UTC
The command-line is still wrong.  In owncloud-9.1.4-5.el7.noarch the command line the splash screen says to use to upgrade is:

sudo -u apache php /usr/share/nextcloud/occ upgrade

where of course the correct command is s/next/own/


Note You need to log in before you can comment on or make changes to this bug.